# Class MetalIconFactory.TreeLeafIcon

java.lang.Object
javax.swing.plaf.metal.MetalIconFactory.FileIcon16
javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  `Serializable, Icon`

Enclosing class:
  `MetalIconFactory`

public static class MetalIconFactory.TreeLeafIcon extends MetalIconFactory.FileIcon16
The class represents a tree leaf icon.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeLeafIcon()`
  Constructs a `TreeLeafIcon`.

- ## Method Summary

  ### Methods declared in class MetalIconFactory.FileIcon16

  `getAdditionalHeight, getIconHeight, getIconWidth, getShift, paintIcon`
  Modifier and Type
  Method
  Description
  `int`
  `getAdditionalHeight()`
  Returns an additional height of the icon.
  `int`
  `getIconHeight()`
  Returns the icon's height.
  `int`
  `getIconWidth()`
  Returns the icon's width.
  `int`
  `getShift()`
  Returns a shift of the icon.
  `void`
  `paintIcon(Component c, Graphics g, int x, int y)`
  Draw the icon at the specified location.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TreeLeafIcon

    public TreeLeafIcon()
    Constructs a `TreeLeafIcon`.